#!/bin/bash

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
	set +e
	[ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
ver=2.6.25.11

wget -N http://www.eu.kernel.org/pub/linux/kernel/v2.6/linux-$ver.tar.bz2
cd "$tmp"
tar  jxvf "$pwd"/linux-$ver.tar.bz2
mkdir -p ieee1394-$ver
cp -pR linux-$ver/drivers/ieee1394/* ieee1394-$ver
tar jcf "$pwd"/ieee1394-$ver.tar.bz2 ieee1394-$ver
cd - >/dev/null

